summaryrefslogtreecommitdiffstats
path: root/libraries
diff options
context:
space:
mode:
author Robby Workman2010-05-12 23:30:27 +0200
committer Erik Hanson2010-05-12 23:30:27 +0200
commit4396f7c0f18fbebb6317f89fe4ee63ae77c882d5 (patch)
tree19802155abf49aecbe3d62869d44eaa7bbd2b995 /libraries
parentff9f95091e99621cd69b71984fd4585ad1fa01c2 (diff)
downloadslackbuilds-4396f7c0f18fbebb6317f89fe4ee63ae77c882d5.tar.gz
libraries/libdiscid: Added to 12.2 repository
Diffstat (limited to 'libraries')
-rw-r--r--libraries/libdiscid/README5
-rw-r--r--libraries/libdiscid/libdiscid.SlackBuild85
-rw-r--r--libraries/libdiscid/libdiscid.info8
-rw-r--r--libraries/libdiscid/slack-desc19
4 files changed, 117 insertions, 0 deletions
diff --git a/libraries/libdiscid/README b/libraries/libdiscid/README
new file mode 100644
index 0000000000..e0f51749ed
--- /dev/null
+++ b/libraries/libdiscid/README
@@ -0,0 +1,5 @@
+libdiscid is a C library for creating MusicBrainz DiscIDs from
+audio CDs. It reads a CD's table of contents (TOC) and generates
+an identifier which can be used to lookup the CD at MusicBrainz.
+Additionally, it provides a submission URL for adding the DiscID
+to the database.
diff --git a/libraries/libdiscid/libdiscid.SlackBuild b/libraries/libdiscid/libdiscid.SlackBuild
new file mode 100644
index 0000000000..988b322155
--- /dev/null
+++ b/libraries/libdiscid/libdiscid.SlackBuild
@@ -0,0 +1,85 @@
+#!/bin/sh
+
+# Copyright 2009 Robby Workman, Northport, AL, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=libdiscid
+VERSION=0.2.2
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/pkg-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "s390" ]; then
+ SLKCFLAGS="-O2"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --disable-static \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ AUTHORS COPYING ChangeLog README \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/libraries/libdiscid/libdiscid.info b/libraries/libdiscid/libdiscid.info
new file mode 100644
index 0000000000..b3281950de
--- /dev/null
+++ b/libraries/libdiscid/libdiscid.info
@@ -0,0 +1,8 @@
+PRGNAM="libdiscid"
+VERSION="0.2.2"
+HOMEPAGE="http://musicbrainz.org/doc/libdiscid"
+DOWNLOAD="http://users.musicbrainz.org/~matt/libdiscid-0.2.2.tar.gz"
+MD5SUM="ee21ddbe696a3c60e14827a75f3bcf5b"
+MAINTAINER="Robby Workman"
+EMAIL="rw@rlworkman.net"
+APPROVED="Erik Hanson"
diff --git a/libraries/libdiscid/slack-desc b/libraries/libdiscid/slack-desc
new file mode 100644
index 0000000000..4a950b62cc
--- /dev/null
+++ b/libraries/libdiscid/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+libdiscid: libdiscid (library for creating MusicBrainz DiscIDs)
+libdiscid:
+libdiscid: libdiscid is a C library for creating MusicBrainz DiscIDs from
+libdiscid: audio CDs. It reads a CD's table of contents (TOC) and generates
+libdiscid: an identifier which can be used to lookup the CD at MusicBrainz.
+libdiscid: Additionally, it provides a submission URL for adding the DiscID
+libdiscid: to the database.
+libdiscid:
+libdiscid: Homepage: http://musicbrainz.org/doc/libdiscid
+libdiscid:
+libdiscid: